Subject: Re: [dnssd] draft-ietf-rtcweb-mdns-ice-candidates-02 feedback

From: youenn fablet <[email-masked]>
Date: Thu, 07 Mar 2019 13:51:11 -0800

Hi Tom,

Thanks for the feedback.
Please find some comments inline,
	Y

> On Feb 17, 2019, at 12:13 PM, Tom Pusateri <[email-masked]> wrote:
> 
> While this document is an RTCWEB document, it’s more about mDNS and so I’m going to give feedback directly to the authors and the DNS-SD group instead of the RTCWEB group (which I’m not a member). If the authors want to replicate this discussion on RTCWEB, please do so.

It is at a RTCWeb/ICE/DNS-SD crossing point.
Wherever that document goes, I think it is good to get feedback from all groups.

> 
> Overall, it’s an interesting idea and I think it could work ok. However, I think presentation around ICE, while motivating the idea, is not necessary for a general purpose third party mDNS name aliasing mechanism. I would remove all references to ICE, WebRTC, TURN, etc. and just make a simple mDNS third party name alias registration document.

I think the scope of this proposal is narrower than your interpretation.
A device may want to not expose its own private IP address to a web page.
In that case, it will register a MDNS name for its own private IP address and disclose the MDNS name to the web page instead of its IP address.
While the idea is interesting and potentially useful, I think the ability of a device to register names for other device IP addresses is out of scope of this particular document.

> 
> As part of that, you need to discuss defending the name and responding to queries for the name since the owner of the IP address will not do this.
> 
> Section 3.1
> ===========
> 
> List Item 1:
> 
> Someone familiar with mDNS would interpret this as an existing registered mDNS host name. I don’t think that’s what this means. I think this means an existing RFC 4122 unique name as described further down in the document.
> 
> List Item 3:
> 
> This makes it seem like normal mDNS is occurring here when it’s really a 3rd party form of mDNS. So you’re not really following RFC 6762. I don’t think there’s necessarily a problem with 3rd party registrations but don’t point people to RFC 6762 for that. In fact, you’re extending RFC 6762 and you need to describe in more detail how you’re extending it.

This document might need clarification on that point: the IP address that is registered is always from the device doing the MDNS registration.
Discussion is ongoing at https://github.com/rtcweb-wg/mdns-ice-candidates/issues/94 on how to best clarify this.

> 3rd last paragraph:
> 
> "with both IPv4 and IPv6 addresses MUST expose a different mDNS name for each address."
> 
> Again, you’re talking about RFC 4122 unique names, not regular mDNS names as provided by a host. This should be made more clear since it would be common for an mDNS host to use the same name for IPv4 and IPv6.
> 
> 
> Section 4
> =========
> 
> 2nd paragraph:
> 
> When more than one IPv4 or more than one IPv6 address is present, it seems like it would be better to first prefer an address that is on a shared network instead of always taking the first one (which doesn’t mean anything in DNS). If you want others to use the same address you should prefer the lowest one or the highest one or something sortable instead of the first one which could be different depending on hashing in a cache.

Right, we could try to make a better suggestion here, as long as it remains simple.
Discussion is ongoing at https://github.com/rtcweb-wg/mdns-ice-candidates/issues/93.

> Thanks,
> Tom

---

From: Tom Pusateri <[email-masked]>
Date: Thu, 7 Mar 2019 17:04:23 -0500

Ok, it was not obvious from all the components that the IP addresses were owned. In that case, I agree that normal mDNS applies and no extension to RFC 6762 is required.

Maybe a better description of which host is announcing the name and which host is resolving the name would help? Unless it’s all on the same host and then, why use mDNS?

Thanks,
Tom

> On Mar 7, 2019, at 4:51 PM, youenn fablet <yfablet=[email-masked]> wrote:
> 
> Hi Tom,
> 
> 
> Thanks for the feedback.
>> On Feb 17, 2019, at 12:13 PM, Tom Pusateri <[email-masked] <mailto:[email-masked]>> wrote:
>> 
> Discussion is ongoing at https://github.com/rtcweb-wg/mdns-ice-candidates/issues/94 <https://github.com/rtcweb-wg/mdns-ice-candidates/issues/94> on how to best clarify this.
> 
>> 3rd last paragraph:
>> 
> Discussion is ongoing at https://github.com/rtcweb-wg/mdns-ice-candidates/issues/93 <https://github.com/rtcweb-wg/mdns-ice-candidates/issues/93>.
> 
>> 
>> Thanks,
>> Tom
>> 
>> 
> 
> _______________________________________________
> dnssd mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/dnssd <https://www.ietf.org/mailman/listinfo/dnssd>

---

From: Tom Pusateri <[email-masked]>
Date: Thu, 7 Mar 2019 17:35:56 -0500

To be more clear, by “why use mDNS?” if the announcing host and the resolving host are the same, I really mean it would be wasteful to use mDNS for inter process communication and wake up every mobile device radio on the same link, but if you think this is still your best option, you should spell it out.

Thanks,
Tom

> On Mar 7, 2019, at 5:04 PM, Tom Pusateri <[email-masked]> wrote:
> 
>> On Mar 7, 2019, at 4:51 PM, youenn fablet <yfablet=[email-masked] <mailto:yfablet=[email-masked]>> wrote:
>> 
>> Hi Tom,
>> 
>> 
>> Thanks for the feedback.
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnssd

---

From: youenn fablet <[email-masked]>
Date: Thu, 07 Mar 2019 14:45:24 -0800

> On Mar 7, 2019, at 2:35 PM, Tom Pusateri <[email-masked]> wrote:
> 

The common case is for the two to be different.
Nothing prevents the two to be the same though and it should equally work.

> 
> Thanks,
> Tom
> 
>> On Mar 7, 2019, at 5:04 PM, Tom Pusateri <[email-masked] <mailto:[email-masked]>> wrote:
>>